package com.mx.cneeds.server.user;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

/**
 * @ClassName UserServerApplication
 * @Author zzrdark
 * @Date 2020-01-06 11:54
 * @Description TODO
 **/
@SpringBootApplication
@EnableEurekaClient
@MapperScan("com.mx.cneeds.server.dao")
public class UserServerApplication {
    public static void main(String[] args) {
        new SpringApplicationBuilder(UserServerApplication.class).web(WebApplicationType.SERVLET).run(args);
    }
}
